// =============================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//
// Copyright (C) 2020 - Stephane MOTTELET
//
// This file is hereby licensed under the terms of the GNU GPL v2.0,
// For more information, see the COPYING file which you should have received
//
// Sci-IPopt toolbox
//
// This scripts updates the Intel Fortran runtime to the latest version (2020)
// in Scilab bin folder (needed for Scilab 6.1 Windows version)

if getos() == 'Windows' then
    path = atomsGetInstalledPath('sci_ipopt');
    if isempty(path)
        mprintf("\nError: cannot determine sci_ipopt path.\n")
    else
        copyfile(fullfile(path,'thirdparty','Windows','bin','libifcoremd.dll'),...
         fullfile(SCI,'bin','libifcoremd.dll'));
        mprintf("\nifort fix done successfully ! Quit and restart Scilab.\n")
    end
end
